Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class FormTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--weblogicx.jsp.tags.validators.FormTag

public class FormTag
extends javax.servlet.jsp.tagext.TagSupport

A Tag class which takes the redirect Page and the request method as an argument and writes out a Html form with an action attribute set to itself.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`FormTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.String` | `getName()`
`void` | `release()`
`void` | `setAction(java.lang.String ac)`
`void` | `setMethod(java.lang.String met)`
`void` | `setName(java.lang.String name)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### setName

    public void setName(java.lang.String name)

### setAction

    public void setAction(java.lang.String ac)

### setMethod

    public void setMethod(java.lang.String met)

### getName

    public java.lang.String getName()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspTagException

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD